package com.realnet.basicp1.Services;
import java.util.*;
import com.realnet.basicp1.Repository.Deployment_typeRepository;
import com.realnet.basicp1.Entity.Deployment_type;

import com.realnet.basicp1.Entity.Deployment_type_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Deployment_type_ListFilter1Service {
@Autowired
private Deployment_typeRepository Repository;




 public   List<Deployment_type_ListFilter1>   getlistbuilder() {
	List<Deployment_type> list= Repository.findAll();
		ArrayList<Deployment_type_ListFilter1> l = new ArrayList<>();
		for (Deployment_type data : list) {
{	
Deployment_type_ListFilter1 dummy = new Deployment_type_ListFilter1();
			dummy.setId(data.getId());
  dummy.setDeployment_type(data.getDeployment_type());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Deployment_type_ListFilter1>   getlistbuilderparam( ) {
	List<Deployment_type> list= Repository.findAll();
		ArrayList<Deployment_type_ListFilter1> l = new ArrayList<>();
		for (Deployment_type data : list) {
{	
Deployment_type_ListFilter1 dummy = new Deployment_type_ListFilter1();
			dummy.setId(data.getId());
  dummy.setDeployment_type(data.getDeployment_type());
	l.add(dummy);
} 
} 		
return l;}
}